bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: sed problem with CVS on Solaris 9/SPARC


From: Paul Eggert
Subject: Re: sed problem with CVS on Solaris 9/SPARC
Date: Wed, 03 Nov 2004 15:13:19 -0800
User-agent: Gnus/5.1006 (Gnus v5.10.6) Emacs/21.3 (gnu/linux)

Albert Chin <address@hidden> writes:

> Solaris 9/SPARC sed does not like the '?' in REs. So, how about '*'
> instead?

Sounds good to me.  While looking at that I noticed some other glitches
in the authors-checking code, and installed this omnibus patch.

2004-11-03  Paul Eggert  <address@hidden>

        * src/Makefile.am (check-AUTHORS): Don't assume \? works in a sed
        expression; it's not portable.  Problem reported by Albert Chin.
        Don't invoke a program more than once.
        * src/groups.sh (version): New variable, containing author info,
        for benefit of AUTHORS check.  Use it when acting on --version option.
        * AUTHORS: Remove duplicate lines.  Remove bogus "chroot:"
        in groups line.

Index: src/Makefile.am
===================================================================
RCS file: /fetish/cu/src/Makefile.am,v
retrieving revision 1.44
diff -p -u -r1.44 Makefile.am
--- src/Makefile.am     22 Sep 2004 20:06:44 -0000      1.44
+++ src/Makefile.am     3 Nov 2004 22:40:47 -0000
@@ -248,7 +248,7 @@ au_actual = authors-actual
 .PHONY: check-AUTHORS
 check-AUTHORS: $(all_programs)
        rm -f $(au_actual) $(au_dotdot)
-       for i in $(all_programs); do                    \
+       for i in `ls $(all_programs) | $(ASSORT) -u`; do \
          test "$$i" = '[' && continue;                 \
          exe=$$i;                                      \
          if test "$$i" = install; then                 \
@@ -256,11 +256,9 @@ check-AUTHORS: $(all_programs)
          elif test "$$i" = test; then                  \
            exe='[';                                    \
          fi;                                           \
-         ./printf "$$i: ";                             \
          ./$$exe --version                             \
-           |sed -n '/Written by /s///p'                \
-           |sed 's/,\? and /, /;s/\.$$//';             \
-       done | $(ASSORT) > $(au_actual)
+           |sed -n '/Written by /{ s//'"$$i"': /; s/,* and /, /; s/\.$$//; p; 
}'; \
+       done > $(au_actual)
        sed -n '/:/p' $(top_srcdir)/AUTHORS > $(au_dotdot)
        diff $(au_actual) $(au_dotdot) && rm -f $(au_actual) $(au_dotdot)
 
Index: src/groups.sh
===================================================================
RCS file: /fetish/cu/src/groups.sh,v
retrieving revision 1.16
diff -p -u -r1.16 groups.sh
--- src/groups.sh       4 Aug 2004 22:31:15 -0000       1.16
+++ src/groups.sh       3 Nov 2004 22:40:55 -0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 # groups -- print the groups a user is in
-# Copyright (C) 1991, 1997, 2000, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1991, 1997, 2000, 2002, 2004 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,6 +31,14 @@ Same as id -Gn.  If no USERNAME, use cur
 
 Report bugs to <@PACKAGE_BUGREPORT@>."
 
+version='groups (@GNU_PACKAGE@) @VERSION@
+Written by David MacKenzie.
+
+Copyright (C) 2004 Free Software Foundation, Inc.
+This is free software; see the source for copying conditions.  There is NO
+warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.'
+
+
 fail=0
 case $# in
   1 )
@@ -38,7 +46,7 @@ case $# in
       z--help )
         echo "$usage" || fail=1; exit $fail;;
       z--version )
-        echo "groups (@GNU_PACKAGE@) @VERSION@" || fail=1; exit $fail;;
+        echo "$version" || fail=1; exit $fail;;
       * ) ;;
     esac
     ;;
Index: AUTHORS
===================================================================
RCS file: /fetish/cu/AUTHORS,v
retrieving revision 1.6
diff -p -u -r1.6 AUTHORS
--- AUTHORS     18 Oct 2004 06:29:19 -0000      1.6
+++ AUTHORS     3 Nov 2004 22:43:03 -0000
@@ -15,7 +15,6 @@ cut: David Ihnat, David MacKenzie, Jim M
 date: David MacKenzie
 dd: Paul Rubin, David MacKenzie, Stuart Kemp
 df: Torbjorn Granlund, David MacKenzie, Paul Eggert
-df: Torbjorn Granlund, David MacKenzie, Paul Eggert
 dir: Richard Stallman, David MacKenzie
 dircolors: H. Peter Anvin
 dirname: David MacKenzie, Jim Meyering
@@ -29,10 +28,9 @@ false: Jim Meyering
 fmt: Ross Paterson
 fold: David MacKenzie
 ginstall: David MacKenzie
-groups: chroot: Roland McGrath
+groups: David MacKenzie
 head: David MacKenzie, Jim Meyering
 hostid: Jim Meyering
-hostid: Jim Meyering
 hostname: Jim Meyering
 id: Arnold Robbins, David MacKenzie
 join: Mike Haertel
@@ -47,14 +45,12 @@ mkfifo: David MacKenzie
 mknod: David MacKenzie
 mv: Mike Parker, David MacKenzie, Jim Meyering
 nice: David MacKenzie
-nice: David MacKenzie
 nl: Scott Bartram, David MacKenzie
 nohup: Jim Meyering
 od: Jim Meyering
 paste: David M. Ihnat, David MacKenzie
 pathchk: Paul Eggert, David MacKenzie, Jim Meyering
 pinky: Joseph Arceneaux, David MacKenzie, Kaveh Ghazi
-pinky: Joseph Arceneaux, David MacKenzie, Kaveh Ghazi
 pr: Pete TerMaat, Roland Huebner
 printenv: David MacKenzie, Richard Mlynarik
 printf: David MacKenzie
@@ -71,7 +67,6 @@ sort: Mike Haertel, Paul Eggert
 split: Torbjorn Granlund, Richard M. Stallman
 stat: Michael Meskes
 stty: David MacKenzie
-stty: David MacKenzie
 su: David MacKenzie
 sum: Kayvan Aghaiepour, David MacKenzie
 sync: Jim Meyering
@@ -85,17 +80,13 @@ true: Jim Meyering
 tsort: Mark Kettenis
 tty: David MacKenzie
 uname: David MacKenzie
-uname: David MacKenzie
 unexpand: David MacKenzie
 uniq: Richard Stallman, David MacKenzie
 unlink: Michael Stone
 uptime: Joseph Arceneaux, David MacKenzie, Kaveh Ghazi
-uptime: Joseph Arceneaux, David MacKenzie, Kaveh Ghazi
-users: Joseph Arceneaux, David MacKenzie
 users: Joseph Arceneaux, David MacKenzie
 vdir: Richard Stallman, David MacKenzie
 wc: Paul Rubin, David MacKenzie
 who: Joseph Arceneaux, David MacKenzie, Michael Stone
-who: Joseph Arceneaux, David MacKenzie, Michael Stone
 whoami: Richard Mlynarik
 yes: David MacKenzie




reply via email to

[Prev in Thread] Current Thread [Next in Thread]